#ifndef matimefunction
#define matimefunction



scalar ramping(scalar t)
{ scalar k = 40;
  scalar y = exp(k*t) - 1;
  return sqr(y)/(1+sqr(y));
}

vector deplacement(scalar t)
{ 
  const scalar omega = 6;
  const scalar yampl = .02;
  return ramping(t)*vector(0, yampl*sin(omega*t), 0);
}

scalar pitch(scalar t)
{ 
  return ramping(t)*10*sqr(t);
}

#endif
